com.digi.xbee.api.packet

## Enum APIFrameType

- java.lang.Object
- - java.lang.Enum<APIFrameType>
  - - com.digi.xbee.api.packet.APIFrameType

- All Implemented Interfaces:
    Serializable, Comparable<APIFrameType>

      public enum APIFrameType
      extends Enum<APIFrameType>

  This enumeration lists all the available frame types used in any XBee protocol.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AT_COMMAND`
    `AT_COMMAND_QUEUE`
    `AT_COMMAND_RESPONSE`
    `GENERIC`
    `IO_DATA_SAMPLE_RX_INDICATOR`
    `MODEM_STATUS`
    `RECEIVE_PACKET`
    `REMOTE_AT_COMMAND_REQUEST`
    `REMOTE_AT_COMMAND_RESPONSE`
    `RX_16`
    `RX_64`
    `RX_IO_16`
    `RX_IO_64`
    `TRANSMIT_REQUEST`
    `TRANSMIT_STATUS`
    `TX_16`
    `TX_64`
    `TX_STATUS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static APIFrameType` | `get(int value)` Returns the `APIFrameType` associated with the given ID value.
    `String` | `getName()` Returns the API frame type name.
    `int` | `getValue()` Returns the API frame type value.
    `String` | `toString()`
    `static APIFrameType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static APIFrameType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AT_COMMAND

          public static final APIFrameType AT_COMMAND

    - #### AT_COMMAND_QUEUE

          public static final APIFrameType AT_COMMAND_QUEUE

    - #### AT_COMMAND_RESPONSE

          public static final APIFrameType AT_COMMAND_RESPONSE

    - #### GENERIC

          public static final APIFrameType GENERIC

    - #### IO_DATA_SAMPLE_RX_INDICATOR

          public static final APIFrameType IO_DATA_SAMPLE_RX_INDICATOR

    - #### MODEM_STATUS

          public static final APIFrameType MODEM_STATUS

    - #### RECEIVE_PACKET

          public static final APIFrameType RECEIVE_PACKET

    - #### REMOTE_AT_COMMAND_REQUEST

          public static final APIFrameType REMOTE_AT_COMMAND_REQUEST

    - #### REMOTE_AT_COMMAND_RESPONSE

          public static final APIFrameType REMOTE_AT_COMMAND_RESPONSE

    - #### RX_16

          public static final APIFrameType RX_16

    - #### RX_64

          public static final APIFrameType RX_64

    - #### RX_IO_16

          public static final APIFrameType RX_IO_16

    - #### RX_IO_64

          public static final APIFrameType RX_IO_64

    - #### TRANSMIT_REQUEST

          public static final APIFrameType TRANSMIT_REQUEST

    - #### TRANSMIT_STATUS

          public static final APIFrameType TRANSMIT_STATUS

    - #### TX_16

          public static final APIFrameType TX_16

    - #### TX_64

          public static final APIFrameType TX_64

    - #### TX_STATUS

          public static final APIFrameType TX_STATUS

  - ### Method Detail

    - #### get

          public static APIFrameType get(int value)

      Returns the `APIFrameType` associated with the given ID value.
      Parameters:
        `value` - ID value to retrieve `APIFrameType`.
      Returns:
        The `APIFrameType` for the given ID value, `null` if it does not exist.

    - #### getName

          public String getName()

      Returns the API frame type name.
      Returns:
        API frame type name.

    - #### getValue

          public int getValue()

      Returns the API frame type value.
      Returns:
        The API frame type value.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<APIFrameType>`

    - #### valueOf

          public static APIFrameType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static APIFrameType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (APIFrameType c : APIFrameType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

© Copyright 2014–2014 Digi International Inc. All rights reserved.